-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


newEntity{
    define_as = "BASE_CUTTER",
    slot = "MELEE",
    type = "melee", subtype="knife", image = "mushroom/objects/handaxe.png",
    display = '', color=colors.SLATE,
    rarity = 8,
    encumber = 0,
    name = "knife",
    desc = [[A short knife.]],
}

newEntity{ base = "BASE_CUTTER",
    name = "dagger", 
    level_range = {1, 10},
    wielder = {
        stamina_cost = 2,
        combat = {dam = resolvers.rngavg(2,3),
     crit_chance = resolvers.rngavg(5,10),},
    },
    
   
}

newEntity{ base = "BASE_CUTTER",
    name = "switchblade",
    rarity = 14,
    level_range = {1, 10},
    wielder = {
        stamina_cost = 2,
        combat = {dam = resolvers.rngavg(3,5),
     crit_chance = resolvers.rngavg(8,15),},
    },


}

newEntity{ base = "BASE_CUTTER",
    name = "machete",
    rarity = 45,
    color=colors.LIGHT_SLATE,
    level_range = {1, 10},
    wielder = {
        stamina_cost = resolvers.rngavg(5,7),
        combat = {dam = resolvers.rngavg(8,12),
     crit_chance = resolvers.rngavg(20,35),},
    },

     

}

newEntity{
    define_as = "BASE_CLUB",
    slot = "MELEE",
    type = "melee", subtype="bludgeon", 
    display = ")", color=colors.SLATE, image = "mushroom/objects/handaxe.png",
    rarity = 5,
    encumber = 0,
    name = "club",
    desc = [[A simple bludgeoning instrument.]],
}

newEntity{ base = "BASE_CLUB",
    name = "truncheon",
    rarity = 10, color=colors.DARK_GREY,
    level_range = {1, 10},
    wielder = {
        stamina_cost = 4,
        combat ={dam = resolvers.rngavg(4,5),
     crit_chance = resolvers.rngavg(5,12),},
    },

     

}

newEntity{ base = "BASE_CLUB",
    name = "lead pipe",
    rarity = 3,
    rarity = 30,
    level_range = {1, 10},
    wielder = {
        stamina_cost = resolvers.rngavg(7,9),
        combat = {dam = resolvers.rngavg(6,10),
     crit_chance = resolvers.rngavg(10,25),},
    },
}

newEntity{
    define_as = "BASE_CROWBAR",
    slot = "MELEE",
    type = "melee", subtype="crowbar",
    display = '', color=colors.CRIMSON, image = "mushroom/objects/handaxe.png",
    rarity = 45,
    encumber = 0,
    name = "crowbar",
    desc = [[A stiff metal bar with a sharp bend on the end.]],
    level_range = {1, 10},
    wielder = {
        stamina_cost = resolvers.rngavg(7,11),
        combat = {dam = resolvers.rngavg(7,11),
     crit_chance = resolvers.rngavg(25,50),},
    },
}

newEntity{
    define_as = "BASE_BODY",
    slot = "BODY",
    type = "body armour",
    display = "]", color=colors.SLATE,
	image = "mushroom/objects/armor.png",
    rarity = 15,
    encumber = 0,
    name = "a form of protection",
    desc = [[Simple protection for the flesh.]],
}

newEntity{ base = "BASE_BODY",
    name = "leather jacket",
    color=colors.DARK_GREY,
    level_range = {1, 10},
    wielder = {
        combat_armor = resolvers.rngavg(2,3),
        stamina_cost = resolvers.rngavg(1,2),
    },
}

newEntity{ base = "BASE_BODY",
    name = "metal-plated jacket",
    level_range = {1, 10},
    color=colors.GREY,
    rarity = 25,
    desc = [[Someone seems to have sewn metal plates into the lining of the jacket.  It's very heavy and cumbersome, but perhaps could add some extra protection.]],
    wielder = {
        combat_armor = resolvers.rngavg(4,6),
        stamina_cost = resolvers.rngavg(4,7),
    },
}

newEntity{ base = "BASE_BODY",
    name = "studded jacket",
    rarity = 20,
    level_range = {1, 10},
    wielder = {
        combat_armor = resolvers.rngavg(3,4),
        stamina_cost = resolvers.rngavg(2,3),
    },
}

newEntity{
    define_as = "BASE_HELM",
    slot = "HEAD",
    type = "helmet",
    display = "^",
	image = "mushroom/objects/helmet.png",
    rarity = 15,
    encumber = 0,
    name = "a form of head protection",
    desc = [[Protection of the head.]],
}

newEntity{ base = "BASE_HELM",
    name = "aviator helmet", subtype = "leather",
    level_range = {1, 10}, color=colors.UMBER,
    desc = [[A thick leather jerkin, lined with fur, with large goggles attached at the front.]],
    wielder = {
        crit_defence = resolvers.rngavg(8,12),
    },
}

newEntity{ base = "BASE_HELM",
    name = "motorcycle helmet", subtype = "plastic",
    level_range = {1, 10}, color=colors.DARK_GREY,
    rarity = 60,
    desc = [[A large, hard helmet with a thick visor to cover the yes.]],
    wielder = {
        crit_defence = resolvers.rngavg(20,35),
        lite = -2,
    },
}

newEntity{ base = "BASE_HELM",
    name = "hardhat", subtype = "basic",
    level_range = {1, 10},
    color = colors.YELLOW,
    desc = [[A bright yellow hat made of hard plastic.]],
    wielder = {
        crit_defence = resolvers.rngavg(3,5),
    },
}


newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "stims",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
   stacking = true,
	desc = [[A hypodermic syringe filled with a regenerative serum.]],

	use_simple = { name = "restore +15 life, +2 stamina", use = function(self, who)
		game.logSeen(who, "I slip the heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "vampire_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = false,
   stacking = true,
	desc = [[The still beating heart of a vampire.]],

	use_simple = { name = "restore +15 life, +1 strength, +1 health, -2 aim", use = function(self, who)
		game.logSeen(who, "I slip the vampire heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "zombie_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = false,
   stacking = true,
	desc = [[The never beating heart of a zombie.]],

	use_simple = { name = "restore +15 life, +2 strength, -1 health, -1 aim", use = function(self, who)
		game.logSeen(who, "I slip the zombie heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "rat_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = 99,
   stacking = true,
	desc = [[The still beating heart of a ratman.]],

	use_simple = { name = "restore +15 life, -1 strength, -1 health, +2 aim", use = function(self, who)
		game.logSeen(who, "I slip the ratman heart into my mouth and begin to chew.")
		who.life = who.life + 15
      mod.class.Actor.onStatChange(self.STAT_STRENGTH, 1)
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "wolf_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
   stacking = 99,
	desc = [[The still beating heart of a wolfman.]],
	rarity = false,
	use_simple = { name = "restore +15 life, +1 strength, -2 health, +1 aim", use = function(self, who)
		game.logSeen(who, "I slip the wolfman heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "pumpkin_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
   stacking = 99,
	desc = [[The still beating heart of a wolfman.]],
	rarity = false,
	use_simple = { name = "restore +15 life, +1 strength, -2 health, +1 aim", use = function(self, who)
		game.logSeen(who, "I slip the pumpkin heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "wolf_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
   stacking = 99,
	desc = [[The still beating heart of a wolfman.]],
	rarity = false,
	use_simple = { name = "restore +15 life, +1 strength, -2 health, +1 aim", use = function(self, who)
		game.logSeen(who, "I slip the wolfman heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}



newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "bunny_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = false,
   stacking = true,
	desc = [[The still beating heart of a devil bunny.]],

	use_simple = { name = "restore +15 life, +1 strength, +1 health, -1 aim", use = function(self, who)
		game.logSeen(who, "I slip the bunny heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "skeleton_heart",
	level_range = {1, 10},
	display = '', color=colors.CRIMSON, image = "mushroom/objects/heart.png",
	encumber = 0,
	rarity = false,
   stacking = true,
	desc = [[The imaginary heart of a skeleton.]],

	use_simple = { name = "restore +5 life, +1 strength, +1 health, -1 aim", use = function(self, who)
		game.logSeen(who, "I slip the imaginary skeleton heart into my mouth and begin to chew.")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_SPIRITS",
	type = "liquor", subtype="whiskey",
   name = "bottle of whiskey",
   display = '', image = "mushroom/objects/heart.png",
   level_range = {1, 10},
	color = colors.UMBER,
   encumber = 0,
	desc = [[Wonderful, beautiful liquor.  Here to save me from remembering who I am.]],
	multicharge = resolvers.rngavg(5,10),
   use_simple = { name = "restore +20 life, +20 stamina", use = function(self, who)
		game.logSeen(who, "I gulp deeply from the sweet amber joy.")
      who.alcoholic = who.alcoholic + 1
		who.life = who.life + 20
      who.stamina = who.stamina + 20
      who.inebriation = who.inebriation + 10
      if who.inebriation < 45 then who.inebriation = 45 end
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_SPIRITS",
	type = "liquor", subtype="vodka",
   name = "bottle of vodka",
   display = '', image = "mushroom/objects/heart.png",
   level_range = {1, 10},
	color = colors.WHITE,
   encumber = 0,
	desc = [[Cheap, with a smell like paint stripper.  Taste ain't great but it does the trick.]],
	multicharge = resolvers.rngavg(5,10),
   use_simple = { name = "restore +1 life, +20 stamina", use = function(self, who)
		game.logSeen(who, "I put the bottle to my lips and sip slowly.  It hurts, but I want more...")
      who.alcoholic = who.alcoholic + 1
		who.life = who.life + 1
      who.stamina = who.stamina + 20
      who.inebriation = who.inebriation + 10
      if who.inebriation < 45 then who.inebriation = 45 end
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
    define_as = "BASE_AMMO",
    type = "ammo", subtype = "shotgun",
    display = "", color = colors.GREY,
	image="mushroom/objects/ammo.png",
    level_range = {1,10},
    rarity = 3,
    encumber = 0,
    name = "shells",
    stacking = true,
    desc = [[A few shells to go in your shotgun.]],
    use_simple = { name = "reload a shotgun", use = function(self, who)
		local weapon = who:getInven("RANGED")[1]
      if weapon.multicharge < 6 then
         game.logSeen(who, "I slide six slugs into the shotgun.")
         weapon.multicharge = weapon.multicharge + 6
         return "destroy", true
      end
	 end},
}

newEntity{
    define_as = "BASE_RANGED",
    slot = "RANGED",
    type = "gun", subtype = "panzerfaust",
    display = "", color = colors.GREY,
	image="mushroom/objects/rocket.png",
    level_range = {1,10},
    rarity = 5,
    encumber = 0,
    damtype = "SHOOT",
    name = "panzerfaust",
    combat = {
      range = 50,
      dam = 250,
    },
    multicharge = 1,
    desc = [[A panzerfaust is a single use rocket. It's german for -kicking freaking ass-.]],
}