-- Hellfire
-- Copyright (C) 2012 Sean Osman
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


newEntity{
    define_as = "BASE_CUTTER",
    slot = "MELEE",
    type = "melee", subtype="knife",
    display = ")", color=colors.SLATE,
	image = "mushroom/objects/handaxe.png",
    level_range = {1,10},
    rarity = 5,
    encumber = 0,
    damtype = "CUT",
    name = "a knife for cutting and slicing",
    desc = [[A short knife.]],
}

newEntity{ base = "BASE_CUTTER",
    name = "blunt knife",
    level_range = {1, 10},
    wielder = {
        stamina_cost = 2,
        combat = {
        dam = 2,
        crit_chance = 0,},
    },

}

newEntity{ base = "BASE_CUTTER",
    name = "combat knife",
    level_range = {1, 10},
    wielder = {
        stamina_cost = 2,
         combat = {dam = 4,
     crit_chance = 15,},
    },

}

newEntity{
    define_as = "BASE_RANGED",
    slot = "RANGED",
    type = "gun", subtype = "shotgun",
    display = "", color = colors.GREY,
	image = "mushroom/objects/shotgun.png",
    level_range = {1,10},
    rarity = 5,
    encumber = 0,
    damtype = "SHOOT",
    name = "shotgun",
    combat = {
      range = 20,
      dam = 5,
    },
    multicharge = 6,
    
    desc = [[A gun what fires shot.]],
}

newEntity{
    define_as = "BASE_AMMO",
    type = "ammo", subtype = "shotgun",
    display = "=", color = colors.GREY,
	image = "mushroom/objects/ammo.png",
    level_range = {1,10},
    rarity = 5,
    encumber = 0,
    name = "shells",
    stacking = true,
    desc = [[A few shells to go in your shotgun.]],
    use_simple = { name = "reload a shotgun", use = function(self, who)
		local weapon = who:getInven("RANGED")[1]
      if weapon.multicharge < 6 then
         game.logSeen(who, "I slide a slug into the shotgun.")
         weapon.multicharge = weapon.multicharge + 1
         return "destroy", true
      end
	 end},
}

newEntity{
    define_as = "BASE_AMMO_BUCK",
    type = "ammo", subtype = "shotgun",
    display = "=", color = colors.GREY,
	image = "mushroom/objects/ammo.png",
    level_range = {1,10},
    rarity = 5,
    encumber = 0,
    name = "buckshot",
    stacking = true,
    desc = [[Some buckshot to go in your shotgun.]],
    use_simple = { name = "reload a shotgun", use = function(self, who)
		local weapon = who:getInven("RANGED")[1]
      if weapon.multicharge < 6 then
         game.logSeen(who, "I slide a buckshot shell into the shotgun.")
         weapon.multicharge = weapon.multicharge + 6
         return "destroy", true
      end
	 end},
}

newEntity{
	define_as = "BASE_STIM",
	type = "stimulant", subtype="regeneration",
	name = "stims",
	level_range = {1, 10},
	display = '!', color=colors.CRIMSON,
	encumber = 0,
	rarity = 5,
   stacking = true,
	desc = [[A hypodermic syringe filled with a regenerative serum.]],

	use_simple = { name = "restore +15 life, +2 stamina", use = function(self, who)
		game.logSeen(who, "I slip the needle into my vein and slowly pump the plasma in.  Ahh, that feels goood...")
		who.life = who.life + 15
      who.stamina = who.stamina + 2
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_SPIRITS",
	type = "liquor", subtype="whiskey",
   name = "bottle of whiskey",
   display = "!",
   level_range = {1, 10},
	color = colors.UMBER,
   encumber = 0,
	rarity = 5,
	desc = [[Wonderful, beautiful liquor.  Here to save me from remembering who I am.]],
	multicharge = 8,
   use_simple = { name = "restore +2 life, +20 stamina", use = function(self, who)
		game.logSeen(who, "I gulp deeply from the sweet amber joy.")
		who.alcoholic = who.alcoholic + 1
      who.life = who.life + 2
      who.stamina = who.stamina + 20
      who.inebriation = who.inebriation + 10
      if who.inebriation < 45 then who.inebriation = 45 end
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
	define_as = "BASE_SPIRITS",
	type = "liquor", subtype="vodka",
   name = "bottle of vodka",
   display = "!",
   level_range = {1, 10},
	color = colors.WHITE,
   encumber = 0,
	rarity = 8,
	desc = [[Cheap, with a smell like paint stripper.  Taste ain't great but it does the trick.]],
	multicharge = 8,
   use_simple = { name = "restore +1 life, +20 stamina", use = function(self, who)
		game.logSeen(who, "I put the bottle to my lips and sip slowly.  It hurts, but I want more...")
		who.alcoholic = who.alcoholic + 1
      who.life = who.life + 1
      who.stamina = who.stamina + 20
      who.inebriation = who.inebriation + 10
      if who.inebriation < 45 then who.inebriation = 45 end
      if who.life > who.max_life then who.life = who.max_life end
      if who.stamina > who.max_stamina then who.stamina = who.max_stamina end
		return "destroy", true
	end},
}

newEntity{
    define_as = "BASE_BODY",
    slot = "BODY",
    type = "body armour", subtype = "military",
    display = "]",
    rarity = 5,
    encumber = 0,
    desc = [[An old and starchy outfit.]],
    name = "guard's uniform",
	image = "mushroom/objects/armor.png",
    color=colors.STEEL_BLUE,
    level_range = {1, 10},
    wielder = {
        combat_armor = 1,
        stamina_cost = 0,
    },
}

newEntity{
    define_as = "BASE_HELM",
    slot = "HEAD",
    type = "helm", subtype = "military",
    display = "^",
	image = "mushroom/objects/helmet.png",
    rarity = 5,
    encumber = 0,
    desc = [[A simple cloth cap.]],
    name = "guard's cap",
    color=colors.STEEL_BLUE,
    level_range = {1, 10},
    wielder = {
        crit_defence = 1,
    },
}

newEntity{
    define_as = "BASE_RANGED",
    slot = "RANGED",
    type = "gun", subtype = "panzerfaust",
    display = "", color = colors.GREY,
	image="mushroom/objects/rocket.png",
    level_range = {1,10},
    rarity = 5,
    encumber = 0,
    damtype = "SHOOT",
    name = "panzerfaust",
    combat = {
      range = 50,
      dam = 25,
    },
    multicharge = 1,
    desc = [[A panzerfaust is a single use rocket. It's german for -kicking freaking ass-.]],
}