-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


require "core.game"

return {
	name = "Surface",
   level_scheme = "fixed",
	decay = {300, 800},
   max_level = 1,
   width = 30, height = 30,
	persistent = "zone",
   all_lited = true,
   all_remembered = true,
   
	generator =  {
		map = {
			class = "engine.generator.map.Static",
			map = "zones/wilderness",
		},
      object = {
         class = "engine.generator.object.Random",
         nb_object = {10, 20},
      },
	},
   on_enter = function(lev, old_lev, newzone)
   local Dialog = require("engine.ui.Dialog")
		if not game.level.shown_warning then
			
         Dialog:simpleLongPopup("The Surface", [[There's.... there's nothing here...

Dusty sand blows softly across the cracked, arid ground.  Skeletons dot the landscape, their hollow skulls bleached bright white, bare teeth grinning at the empty world around them.  High above the sun scorches down its radiance - once a symbol of joy and beauty, now a fierce and unforgiving overlord, laying its judgement over the ruined landscape.  Its very touch burns my skin, flares my eyes, and the rising dust seems to cling to the linings of my lungs, choking my every breath.

Ha... hahaha...

What's it all for?  What the fuck is the point?  All our pointless lives, dreaming of a world that once was, but never can be again.  I've seen too much pain... caused too much pain... why go on?

I think I'll rest here; lay my tired head against the ground, with the bones around to keep me company.  Maybe now I can sleep without dreaming...

Good night.
]],600)
			game.level.shown_warning = true
         game.log("I cough up blood - my lungs feel on fire.")
         game.player.life_regen = -(game.player.life + 11)
		end
   end,
}
